1 Reply Latest reply: May 14, 2013 6:56 PM by Niel
neilross1984 Level 1 Level 1 (0 points)

I need to upgrade the software on my computer in order to get it up to date wth my iPad mini.


MacBook Pro (15-inch Late 2008), Mac OS X (10.5.8)